commit:     131a8dee44f60292b93a83334c9f9c43d086de21
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 10 13:00:53 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 10 13:30:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=131a8dee

games-strategy/knights-demo: EAPI 7, silence QA warnings for unused file

All the SONAME warnings were for a binary we don't really support. We install
it for some reason and I don't really want to meddle with it in case it
_somehow_ works for somebody.

Closes: https://bugs.gentoo.org/739366
Closes: https://bugs.gentoo.org/739372
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../knights-demo/knights-demo-1.32-r2.ebuild       | 33 +++++++++++++++++-----
 1 file changed, 26 insertions(+), 7 deletions(-)

diff --git a/games-strategy/knights-demo/knights-demo-1.32-r2.ebuild 
b/games-strategy/knights-demo/knights-demo-1.32-r2.ebuild
index d314a019ee7..0fab85fe334 100644
--- a/games-strategy/knights-demo/knights-demo-1.32-r2.ebuild
+++ b/games-strategy/knights-demo/knights-demo-1.32-r2.ebuild
@@ -1,20 +1,33 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit eutils unpacker
+EAPI=7
+
+inherit desktop unpacker wrapper
 
 DESCRIPTION="Anglo-Saxon medieval army battles and resource management"
 HOMEPAGE="http://www.linuxgamepublishing.com/info.php?id=knights";
 # Unversioned upstream filename
 SRC_URI="mirror://gentoo/${P}.run"
+S="${WORKDIR}"
 
 LICENSE="knights-demo"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 RESTRICT="strip"
 
+# Deps for the .dynamic binary which we don't support but install anyway
+# TODO: wants gtk-1.2?!
+# TODO: wants libgrapple?
+DYNAMIC_DEPS="
+       dev-libs/glib
+       media-libs/libogg
+       media-libs/libsdl
+       media-libs/libvorbis
+       media-libs/sdl-mixer
+       media-libs/smpeg
+       sys-libs/zlib
+"
 RDEPEND="
        sys-libs/glibc
        >=x11-libs/libX11-1.6.2[abi_x86_32(-)]
@@ -23,13 +36,19 @@ RDEPEND="
        >=x11-libs/libXext-1.3.2[abi_x86_32(-)]
        >=x11-libs/libXi-1.7.2[abi_x86_32(-)]
 "
-S="${WORKDIR}"
+
+# RDEPEND+=" ${DYNAMIC_DEPS}"
+
+QA_FLAGS_IGNORED="
+       opt/knights-demo/knights-demo.dynamic
+       opt/knights-demo/knights-demo
+"
 
 src_unpack() {
        unpack_makeself ${P}.run
-       mv -f data{,-temp}
+       mv -f data{,-temp} || die
        unpack ./data-temp/data.tar.gz
-       rm -rf data-temp lgp_* setup*
+       rm -rf data-temp lgp_* setup* || die
 }
 
 src_install() {

Reply via email to